Bug 39524 - App Center - screenshot gallery
App Center - screenshot gallery
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - App-Center
UCS 4.1
Other Linux
: P5 enhancement (vote)
: UCS 4.1
Assigned To: Johannes Keiser
Dirk Wiesenthal
: interim-2
Depends on: 38894
Blocks: 39794
  Show dependency treegraph
 
Reported: 2015-10-14 11:36 CEST by Alexander Kläser
Modified: 2015-11-17 12:11 CET (History)
6 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Design, Usability
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Kläser univentionstaff 2015-10-14 11:36:17 CEST
One new feature of the UCS 4.1 App Center is the ability to present thumbnails of multiple screenshots in a gallery/carousel view (cf. attachment 7067 [details]).

+++ This bug was initially created as a clone of Bug #38894 +++

The UMC App Center usability should be improved. The app list is getting longer and longer. :)
Comment 1 Alexander Kläser univentionstaff 2015-10-14 11:36:47 CEST
(In reply to Alexander Kläser from comment #0)
> One new feature of the UCS 4.1 App Center is the ability to present
> thumbnails of multiple screenshots in a gallery/carousel view (cf.
> attachment 7067 [details]).

Error... attachment 7068 [details].
Comment 2 Johannes Keiser univentionstaff 2015-10-16 12:54:16 CEST
r 64542

univention-management-console-module-appcenter (5.0.6-24):
Bug #39524:
* Added a Gallery to show multiple images
* Added svg images for the gallery
* Adjusted layout of the 'Details' titlepane slightly

Version: 5.0.6-24.471.201510161251
Comment 3 Johannes Keiser univentionstaff 2015-10-16 14:01:49 CEST
r 64544

univention-management-console-module-appcenter (5.0.6-25):
* Bug #39524: include svg images

Version: 5.0.6-25.472.201510161303
Comment 4 Johannes Keiser univentionstaff 2015-10-16 14:13:24 CEST
r 64545

univention-management-console-module-appcenter (5.0.6-26):
* Bug #39524: adjusted a query that gets a domNode for styling

Version: 5.0.6-26.473.201510161408
Comment 5 Johannes Keiser univentionstaff 2015-10-16 15:15:57 CEST
r 64547

univention-management-console-module-appcenter (5.0.6-27):
* Bug #39524: fixed setting dynamic styles correctly

Version: 5.0.6-27.474.201510161513
Comment 6 Johannes Keiser univentionstaff 2015-10-19 13:28:49 CEST
univention-management-console-module-appcenter (5.0.6-31):
* Bug #39524: adjusted resizing for gallery images

Version: 5.0.6-31.478.201510191307
Comment 7 Johannes Keiser univentionstaff 2015-10-19 18:06:39 CEST
r 64602

univention-management-console-module-appcenter (5.0.6-36):
* Bug #39524: Carousel.js cleanup
Comment 8 Johannes Keiser univentionstaff 2015-10-22 19:09:04 CEST
r univention-appcenter (5.0.6-60):
* Bug #39524: added function to embed youtube videos in the
  AppDetailsPage gallery and added transition for gallery resizing

Version: 5.0.6-60.6.201510221905
Comment 9 Johannes Keiser univentionstaff 2015-10-22 19:20:11 CEST
r 64777
univention-appcenter (5.0.6-62):
* Bug #39524: added css rules for Carousel transitions

Version: 5.0.6-62.8.201510221917
Comment 10 Dirk Wiesenthal univentionstaff 2015-10-23 15:54:27 CEST
Don't know if this is related to this bug, but anyway:

domStyle.set(document.querySelectorAll('.umcModule[id^="umc_modules_appcenter"] .umcModuleContent')[0], 'overflow', 'visible')

This breaks the "Installed Apps" module. It also uses AppDetailsPage.js.
Comment 11 Johannes Keiser univentionstaff 2015-10-28 18:21:40 CET
(In reply to Dirk Wiesenthal from comment #10)
> Don't know if this is related to this bug, but anyway:
> 
> domStyle.set(document.querySelectorAll('.
> umcModule[id^="umc_modules_appcenter"] .umcModuleContent')[0], 'overflow',
> 'visible')
> 
> This breaks the "Installed Apps" module. It also uses AppDetailsPage.js.

r 64949

univention-appcenter (5.0.9-9):
* Bug #39524: Fixed a css selector not working in the installed apps module

Version: 5.0.9-9.28.201510281816
Comment 12 Johannes Keiser univentionstaff 2015-10-30 17:59:45 CET
(In reply to Johannes Keiser from comment #11)
> (In reply to Dirk Wiesenthal from comment #10)
> > Don't know if this is related to this bug, but anyway:
> > 
> > domStyle.set(document.querySelectorAll('.
> > umcModule[id^="umc_modules_appcenter"] .umcModuleContent')[0], 'overflow',
> > 'visible')
> > 
> > This breaks the "Installed Apps" module. It also uses AppDetailsPage.js.
> 
> r 64949
> 
> univention-appcenter (5.0.9-9):
> * Bug #39524: Fixed a css selector not working in the installed apps module
> 
> Version: 5.0.9-9.28.201510281816

r 65036
univention-appcenter (5.0.14-1):
* Bug #39524: removed setting of domStyle in js code and put
  it in appcenter.styl

Version: 5.0.14-1.39.201510301758
Comment 13 Dirk Wiesenthal univentionstaff 2015-11-02 13:07:46 CET
I have locally doubled the Thumbnails in samba4.ini, seems to break it:
  http://10.200.4.50/univention-management-console/#module=appcenter:appcenter:0:id:samba4
Comment 14 Johannes Keiser univentionstaff 2015-11-02 18:44:17 CET
r 65097

univention-appcenter (5.0.14-10):
* Bug #39524: fixed the Carousel widget not displaying correctly when the
  same youtube video is stated more then once

Version: 5.0.14-10.48.201511021842
Comment 15 Dirk Wiesenthal univentionstaff 2015-11-05 12:17:21 CET
OK. Works, looks good. Changelog entry added
Comment 16 Stefan Gohmann univentionstaff 2015-11-17 12:11:43 CET
UCS 4.1 has been released:
 https://docs.software-univention.de/release-notes-4.1-0-en.html
 https://docs.software-univention.de/release-notes-4.1-0-de.html

If this error occurs again, please use "Clone This Bug".